package in.gov.digilocker.uidai.logs.fpmodal;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.XmlValue;

import org.springframework.stereotype.Component;

@XmlRootElement(name = "Data")
@XmlAccessorType(XmlAccessType.NONE)
@XmlType(propOrder = { "type" })
@Component
public class Data {
	
	@XmlAttribute(name = "type")private String type;
	@XmlValue String dataDescription;
	
	public Data() {
		this.type= "";
		this.dataDescription= "";
	}

	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}

	public String getDataDescription() {
		return dataDescription;
	}

	public void setDataDescription(String dataDescription) {
		this.dataDescription = dataDescription;
	}
	
	
	
}
